GETPOST
v1.0.0stable

Get Device List

Query the authenticated user device list with pagination and status filters.

GET | POST/api/device/list
Афіша:API Key

Параметри запиту

Всі параметри можуть бути передані через Query або тіло

ПараметрТипПотрібніОпис
token
stringПотрібні
User API token
Приклад: your_api_token_here
page
numberДодатково
Page number. Default 1
Приклад: 1
per_page
numberДодатково
Items per page. Default 20, maximum 100
Приклад: 20
zt
stringДодатково
Status filter: all, normal, hidden, reviewing, or update
allnormalhiddenreviewingupdate
Приклад: all
shtype
stringДодатково
After-sales type filter. Separate multiple values with commas
Приклад: 1,2

Відправити

ПараметрТипПотрібніОпис
code
numberПотрібні
Status code: 1=success, others=failure
Приклад: 1
msg
stringПотрібні
Response message
Приклад: 获取成功
data.devices
arrayПотрібні
Device list
data.devices[].kid
stringПотрібні
Device KID
Приклад: KID001
data.devices[].udid
stringПотрібні
Device UDID
Приклад: 00008030-001234567890002E
data.devices[].pname
stringПотрібні
Device name
Приклад: iPhone 15 Pro
data.devices[].zt
stringПотрібні
Device/certificate status
Приклад: normal
data.devices[].ytime
numberПотрібні
Membership expiry timestamp. 0 means permanent
Приклад: 1772267945
data.devices[].enabled
booleanПотрібні
Whether the device is enabled
Приклад: true
data.total
numberПотрібні
Total matched devices
Приклад: 36
data.page
numberПотрібні
Current page number
Приклад: 1
data.per_page
numberПотрібні
Actual items per page, maximum 100
Приклад: 20
data.last_page
numberПотрібні
Last page number
Приклад: 2
data.count_normal
numberПотрібні
Normal device count
Приклад: 30
data.count_hidden
numberПотрібні
Dropped/banned device count
Приклад: 4
data.count_reviewing
numberПотрібні
Reviewing device count
Приклад: 2
Приклад відповіді
{
"code":1,
"msg":"Success",
"time":1769675945,
"data":
{
"devices":
[
{
"kid":"KID001",
"udid":"00008030-001234567890002E",
"pname":"iPhone 15 Pro",
"type":"iphone",
"shtype":1,
"zt":"normal",
"ytime":1772267945,
"model":"iPhone16,1",
"beizhu":"主力设备",
"enabled":true
}
]
,
"total":36,
"page":1,
"per_page":20,
"last_page":2,
"count_normal":30,
"count_hidden":4,
"count_reviewing":2
}
,
"ip":"192.168.1.100",
"ysucc":"Ysucc"
}

Query first page

Get the first 20 devices of the current user

Query first page
{
"token":"your_api_token_here",
"page":1,
"per_page":20
}

Only normal devices

Use zt=normal to return only normal available devices

Only normal devices
{
"token":"your_api_token_here",
"zt":"normal",
"page":1,
"per_page":50
}

Reviewing devices

Use zt=reviewing to return devices still in review/reservation

Reviewing devices
{
"token":"your_api_token_here",
"zt":"reviewing"
}

Maximum 100 items per page

If per_page is greater than 100, the backend automatically caps it at 100

Maximum 100 items per page
{
"token":"your_api_token_here",
"page":1,
"per_page":100
}

Коди помилок

Коди помилок2 визначено
12
Token is required
Missing token parameter
10
Invalid token
Token does not exist or user status is not allowed

Мова відповіді

Налаштуйте мову відповіді API з заголовком X-Lang. Приклади коду нижче автоматично використовуйте мову поточного сайту.

Рекомендований заголовок
X-Lang: uk
Підтримувані мови
zh, en, zh-TW, vi, ar, es, ru

За підтримки X-Lang бере на себе пріоритет. Непідтримувані мови слідувати мовою сайту.

Приклади коду

curl -X POST "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/device/list" \
  -H "X-Lang: uk" \
  -H "Content-Type: application/x-www-form-urlencoded" \
  -d "token=your_api_token_here&page=1&per_page=20&zt=all&shtype=1%2C2"

Нотатки

  • 列表只返回当前 token 用户名下的设备
  • per_page 最大为 100,超过会自动按 100 处理
  • zt=hidden 会包含掉签和待更新状态;zt=reviewing 会返回仍在审核/预约中的设备

Спробуйте в Консоль

Заповнювати параметри нижче і відправити запит на тест. Запити тільки перейти до цього API сайту; URL-адреса заблокована і не може бути змінена, і ваш поточний логін cookie включено.

https://testypro.iwai.cc/api/device/list?token=your_api_token_here&page=1&per_page=20&zt=all&shtype=1%2C2Заблоковано на цей сайт
stringПотрібні

User API token

number

Page number. Default 1

number

Items per page. Default 20, maximum 100

string

Status filter: all, normal, hidden, reviewing, or update

string

After-sales type filter. Separate multiple values with commas